Scap stalled at sync-masters, ok: 1, left: 1
Closed, ResolvedPublic

Description

During EU swat I tried to sync a patch to wmf.27 using:

scap sync-dir php-1.31.0-wmf.27/extensions/CirrusSearch/ "T190958 CirrusSearchCheckerJob should have a title"

then scap to wait on the sync-masters stage.
10 minutes later (still waiting) I've seen this notification on the operations IRC channel:

15:31 <icinga-wm> PROBLEM - Improperly owned -0:0- files in /srv/mediawiki-staging on deploy1001 is CRITICAL: Improperly owned (0:0) files in /srv/mediawiki-staging

I decided to abort scap using Ctrl-C.

I reverted my patch and rebased tin.

Patch I was trying to deploy: https://gerrit.wikimedia.org/r/#/c/422906/
Revert patch: https://gerrit.wikimedia.org/r/#/c/422929/

dcausse created this task.Mar 29 2018, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 2:21 PM

Change 422941 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove deploy1001 from scap masters, keep in scap hosts

https://gerrit.wikimedia.org/r/422941

Change 422941 merged by Dzahn:
[operations/puppet@production] remove deploy1001 from scap masters, keep in scap hosts

https://gerrit.wikimedia.org/r/422941

Mentioned in SAL (#wikimedia-releng) [2018-03-29T14:55:45Z] <mutante> removing deploy1001 from scap masters, keeping it as scap host. to avoid issues syncing (slower) to 3 masters but keep it synced as a regular host (T191029)

Dzahn closed this task as Resolved.Apr 18 2018, 12:42 AM
Dzahn claimed this task.